E-MailRelay

Public Member Functions | Protected Member Functions | List of all members
GNet::ClientPtrBase Class Reference

The non-template part of GNet::ClientPtr. More...

`#include <gclientptr.h>`

Inheritance diagram for GNet::ClientPtrBase:
[legend]

## Public Member Functions
G::Slot::Signal< const std::string &, const std::string &, const std::string & > & | eventSignal () noexcept
| A signal that is linked to the contained client's eventSignal(). More...
G::Slot::Signal< const std::string & > & | deleteSignal () noexcept
| A signal that is triggered as the client is deleted following an exception handled by this class. More...
G::Slot::Signal< const std::string & > & | deletedSignal () noexcept
| A signal that is triggered after deleteSignal() once the client has been deleted and the ClientPtr is empty. More...
| ClientPtrBase (const ClientPtrBase &)=delete
| ClientPtrBase (ClientPtrBase &&)=delete
ClientPtrBase & | operator= (const ClientPtrBase &)=delete
ClientPtrBase & | operator= (ClientPtrBase &&)=delete

## Protected Member Functions
| ClientPtrBase ()
| Default constructor.
void | eventSlot (const std::string &, const std::string &, const std::string &)
| Emits an eventSignal(). More...

## Detailed Description

The non-template part of GNet::ClientPtr.

Definition at line 65 of file gclientptr.h.

## Member Function Documentation

## ◆ deletedSignal()

G::Slot::Signal< const std::string & > & GNet::ClientPtrBase::deletedSignal | ( |  | ) |
| noexcept

A signal that is triggered after deleteSignal() once the client has been deleted and the ClientPtr is empty.

Definition at line 27 of file gclientptr.cpp.

## ◆ deleteSignal()

G::Slot::Signal< const std::string & > & GNet::ClientPtrBase::deleteSignal | ( |  | ) |
| noexcept

A signal that is triggered as the client is deleted following an exception handled by this class.

The parameter is normally the exception string, but it is the empty string for GNet::Done exceptions or if the client was finished().

Definition at line 37 of file gclientptr.cpp.

## ◆ eventSignal()

G::Slot::Signal< const std::string &, const std::string &, const std::string & > & GNet::ClientPtrBase::eventSignal | ( |  | ) |
| noexcept

A signal that is linked to the contained client's eventSignal().

Definition at line 32 of file gclientptr.cpp.

## ◆ eventSlot()

void GNet::ClientPtrBase::eventSlot | ( | const std::string & | s1,
|  | const std::string & | s2,
|  | const std::string & | s3
| ) |  |
| protected

Emits an eventSignal().

Definition at line 42 of file gclientptr.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gclientptr.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gclientptr.cpp